package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag707;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT707Creator;

/**
 * @author gaosheng
 * @date 2023/2/27
 */
public class Tag42MCreator extends AbsTagCreate {

     private MT707Creator mt707Creator;

    public Tag42MCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt707Creator= (MT707Creator) absMTCreator;
    }

    public void creator()
    {
        String tag42MValue = mt707Creator.getMixedPaymentDetails();
        mt707Creator.set("42M", tag42MValue);
    }
}
